Kreogist Mu 0.6.4 发布,Linux 二进制版本追加发布

東條・スペンサー・咲
 東條・スペンサー・咲
发布于 2015年02月02日
收藏 9

非常感谢大家对Mu项目的支持,在上一个版本中所承诺的Linux的Debian二进制发行版终于完成了。

在此特别感谢iyzsong,本次的Debian发行版的全部工作都是由他完成的。在此对iyzsong表示衷心的感谢!
除此以外,也要感谢JM_JOY所提供的相关资料,以及WangBin所提供的帮助!特别感谢以上三人对Mu项目的支持!

本次发布的Linux二进制版本要求的依赖如下:

qtcore5a (>=5.3.0)
phonon4qt5
libavformat
libavcodec
libavutil

其中有关phonon4qt5后端的问题需要用户自行去配置,推荐使用phonon4qt5-backend-vlc,相关解码器也需要用户自行配置。

这是第一次发布Linux的二进制版本,肯定问题多多。希望大家多多包涵,如有任何问题可在Github上的issues里反馈,或者在Git@OSC上反馈,或者通过留言、发邮件告知我们,我们将尽快解决问题。


Kreogist Mu 是一个使用Qt 5编写的音乐播放器。支持播放WAV、MP3、aac、m4a、alac、ape、flac、mpc、wv、ac3、spx等有损、无损格式音乐。支持读取ID3v1、ID3v2(包括ID3v2.00、ID3v2.3、ID3v2.4)、APEv2、WMA、FLAC、WAV格式的标签信息。拥有无缝语言切换、歌曲预览等功能。 

下载地址:http://kreogist.github.io/Mu/cn/downloads.html
项目地址:https://github.com/Kreogist/Mu(Github)、http://git.oschina.net/Miyanaga/Mu (Git@OSC)

Linux版本截图:

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 OSCHINA 社区 [http://www.oschina.net]
本文标题:Kreogist Mu 0.6.4 发布,Linux 二进制版本追加发布
加载中

最新评论(49

東條・スペンサー・咲
東條・スペンサー・咲

引用来自“斯雷波”的评论

源码怎么编译安装呢!

引用来自“宫永Saki”的评论

额……是指Linux下么?
准备好依赖后,可以使用Qt Creator直接打开mu.pro编译,或者qmake直接mu.pro也可以。然后把生成的mu复制到对应的bin目录就可以了。源码包里也应该提供了对应的desktop文件可供选用。
(自动化安装脚本现在还没写QAQ,抱歉!)

引用来自“斯雷波”的评论

好吧 还是出现问题了 貌似是缺少某个文件~/deb/Mu/src/plugin/module/knmusicplugin/plugin/knmusicbackendphonon/knmusicbackendphononthread.h:21: error: phonon4qt5/phonon/MediaObject: No such file or directory
#include <phonon4qt5/phonon/MediaObject>
^

引用来自“宫永Saki”的评论

这时由于缺少Linux下必要的依赖导致的。在Linux下编译需要具备以下的依赖:
Qt >= 5.3.0
libav / FFMpeg (只需要有libavcodec, libavutil, libavformat)
phonon4Qt5
以上都需要有该库以及该库对应的dev库(Debian)。您将这些以来都装上以后应该可以成功编译。

引用来自“斯雷波”的评论

编译完成了 ,体验了一把
在自己的笔记本上发现一个问题,就是在每每打开一首歌的时候,声音都会重置为最高音量,不知道是自己机器的原因还是这也算一个bug.
机器系统为 debian jessie amd64,

引用来自“斯雷波”的评论

MU自动播放下一首的时候 声音也会重置为最高音量!
这个还真是……很有意思的问题啊…………还没遇到过您说的这么个情况0 0……
我已经记下来您说的这个情况并将尝试着重现您说的这个问题。
感谢您的反馈!
改名改名
改名改名

引用来自“斯雷波”的评论

源码怎么编译安装呢!

引用来自“宫永Saki”的评论

额……是指Linux下么?
准备好依赖后,可以使用Qt Creator直接打开mu.pro编译,或者qmake直接mu.pro也可以。然后把生成的mu复制到对应的bin目录就可以了。源码包里也应该提供了对应的desktop文件可供选用。
(自动化安装脚本现在还没写QAQ,抱歉!)

引用来自“斯雷波”的评论

好吧 还是出现问题了 貌似是缺少某个文件~/deb/Mu/src/plugin/module/knmusicplugin/plugin/knmusicbackendphonon/knmusicbackendphononthread.h:21: error: phonon4qt5/phonon/MediaObject: No such file or directory
#include <phonon4qt5/phonon/MediaObject>
^

引用来自“宫永Saki”的评论

这时由于缺少Linux下必要的依赖导致的。在Linux下编译需要具备以下的依赖:
Qt >= 5.3.0
libav / FFMpeg (只需要有libavcodec, libavutil, libavformat)
phonon4Qt5
以上都需要有该库以及该库对应的dev库(Debian)。您将这些以来都装上以后应该可以成功编译。

引用来自“斯雷波”的评论

编译完成了 ,体验了一把
在自己的笔记本上发现一个问题,就是在每每打开一首歌的时候,声音都会重置为最高音量,不知道是自己机器的原因还是这也算一个bug.
机器系统为 debian jessie amd64,
MU自动播放下一首的时候 声音也会重置为最高音量!
改名改名
改名改名

引用来自“斯雷波”的评论

源码怎么编译安装呢!

引用来自“宫永Saki”的评论

额……是指Linux下么?
准备好依赖后,可以使用Qt Creator直接打开mu.pro编译,或者qmake直接mu.pro也可以。然后把生成的mu复制到对应的bin目录就可以了。源码包里也应该提供了对应的desktop文件可供选用。
(自动化安装脚本现在还没写QAQ,抱歉!)

引用来自“斯雷波”的评论

好吧 还是出现问题了 貌似是缺少某个文件~/deb/Mu/src/plugin/module/knmusicplugin/plugin/knmusicbackendphonon/knmusicbackendphononthread.h:21: error: phonon4qt5/phonon/MediaObject: No such file or directory
#include <phonon4qt5/phonon/MediaObject>
^

引用来自“宫永Saki”的评论

这时由于缺少Linux下必要的依赖导致的。在Linux下编译需要具备以下的依赖:
Qt >= 5.3.0
libav / FFMpeg (只需要有libavcodec, libavutil, libavformat)
phonon4Qt5
以上都需要有该库以及该库对应的dev库(Debian)。您将这些以来都装上以后应该可以成功编译。
编译完成了 ,体验了一把
在自己的笔记本上发现一个问题,就是在每每打开一首歌的时候,声音都会重置为最高音量,不知道是自己机器的原因还是这也算一个bug.
机器系统为 debian jessie amd64,
改名改名
改名改名

引用来自“斯雷波”的评论

源码怎么编译安装呢!

引用来自“宫永Saki”的评论

额……是指Linux下么?
准备好依赖后,可以使用Qt Creator直接打开mu.pro编译,或者qmake直接mu.pro也可以。然后把生成的mu复制到对应的bin目录就可以了。源码包里也应该提供了对应的desktop文件可供选用。
(自动化安装脚本现在还没写QAQ,抱歉!)

引用来自“斯雷波”的评论

好吧 还是出现问题了 貌似是缺少某个文件~/deb/Mu/src/plugin/module/knmusicplugin/plugin/knmusicbackendphonon/knmusicbackendphononthread.h:21: error: phonon4qt5/phonon/MediaObject: No such file or directory
#include <phonon4qt5/phonon/MediaObject>
^

引用来自“宫永Saki”的评论

这时由于缺少Linux下必要的依赖导致的。在Linux下编译需要具备以下的依赖:
Qt >= 5.3.0
libav / FFMpeg (只需要有libavcodec, libavutil, libavformat)
phonon4Qt5
以上都需要有该库以及该库对应的dev库(Debian)。您将这些以来都装上以后应该可以成功编译。
只是qt creater 编译好慢,
東條・スペンサー・咲
東條・スペンサー・咲

引用来自“斯雷波”的评论

源码怎么编译安装呢!

引用来自“宫永Saki”的评论

额……是指Linux下么?
准备好依赖后,可以使用Qt Creator直接打开mu.pro编译,或者qmake直接mu.pro也可以。然后把生成的mu复制到对应的bin目录就可以了。源码包里也应该提供了对应的desktop文件可供选用。
(自动化安装脚本现在还没写QAQ,抱歉!)

引用来自“斯雷波”的评论

好吧 还是出现问题了 貌似是缺少某个文件~/deb/Mu/src/plugin/module/knmusicplugin/plugin/knmusicbackendphonon/knmusicbackendphononthread.h:21: error: phonon4qt5/phonon/MediaObject: No such file or directory
#include <phonon4qt5/phonon/MediaObject>
^
这时由于缺少Linux下必要的依赖导致的。在Linux下编译需要具备以下的依赖:
Qt >= 5.3.0
libav / FFMpeg (只需要有libavcodec, libavutil, libavformat)
phonon4Qt5
以上都需要有该库以及该库对应的dev库(Debian)。您将这些以来都装上以后应该可以成功编译。
改名改名
改名改名

引用来自“斯雷波”的评论

源码怎么编译安装呢!

引用来自“宫永Saki”的评论

额……是指Linux下么?
准备好依赖后,可以使用Qt Creator直接打开mu.pro编译,或者qmake直接mu.pro也可以。然后把生成的mu复制到对应的bin目录就可以了。源码包里也应该提供了对应的desktop文件可供选用。
(自动化安装脚本现在还没写QAQ,抱歉!)
好吧 还是出现问题了 貌似是缺少某个文件~/deb/Mu/src/plugin/module/knmusicplugin/plugin/knmusicbackendphonon/knmusicbackendphononthread.h:21: error: phonon4qt5/phonon/MediaObject: No such file or directory
#include <phonon4qt5/phonon/MediaObject>
^
東條・スペンサー・咲
東條・スペンサー・咲

引用来自“斯雷波”的评论

源码怎么编译安装呢!
额……是指Linux下么?
准备好依赖后,可以使用Qt Creator直接打开mu.pro编译,或者qmake直接mu.pro也可以。然后把生成的mu复制到对应的bin目录就可以了。源码包里也应该提供了对应的desktop文件可供选用。
(自动化安装脚本现在还没写QAQ,抱歉!)
改名改名
改名改名
源码怎么编译安装呢!
東條・スペンサー・咲
東條・スペンサー・咲

引用来自“simple_chen”的评论

刚用fedora,将deb包转为rpm包了,也装上了ffmpeg-libs了,但缺少依赖libavcodec.so.54、libavcodec.so.54(LIBAVCODEC_54)(64bit)和libavformat.so.54、libavformat.so.54(LIBAVFORMAT_54)(64bit) ,库中只有libacocodec.so.52、libacocodec.so.56和libavformat.so.56、libavformat.so.52,请教下这个应该怎么弄?

引用来自“宫永Saki”的评论

这……应该是记录了生成deb包的版本了,这个问题的解决方法可能有这么两个:
1、手动编译安装最新版本FFMpeg。
2、使用qmake重新编译Mu的源代码。
您都先试试看?

引用来自“simple_chen”的评论

我编译的Mu源码,超喜欢这软件,linux上终于有个界面很棒的音乐播放器了,太赞了,支持你们!!!

引用来自“宫永Saki”的评论

非常感谢您的支持!我们会继续努力的!

引用来自“大文字”的评论

已提供 fedora 20至22的rpm包,
详情请参考 github.com/1dot75cm/myrepo
非常感谢您的支持!已经将您提供的链接添加到Github官网的下载链接里了。
再次对您的大力支持深表感谢!!
大文字

引用来自“simple_chen”的评论

刚用fedora,将deb包转为rpm包了,也装上了ffmpeg-libs了,但缺少依赖libavcodec.so.54、libavcodec.so.54(LIBAVCODEC_54)(64bit)和libavformat.so.54、libavformat.so.54(LIBAVFORMAT_54)(64bit) ,库中只有libacocodec.so.52、libacocodec.so.56和libavformat.so.56、libavformat.so.52,请教下这个应该怎么弄?

引用来自“宫永Saki”的评论

这……应该是记录了生成deb包的版本了,这个问题的解决方法可能有这么两个:
1、手动编译安装最新版本FFMpeg。
2、使用qmake重新编译Mu的源代码。
您都先试试看?

引用来自“simple_chen”的评论

我编译的Mu源码,超喜欢这软件,linux上终于有个界面很棒的音乐播放器了,太赞了,支持你们!!!

引用来自“宫永Saki”的评论

非常感谢您的支持!我们会继续努力的!
已提供 fedora 20至22的rpm包,
详情请参考 github.com/1dot75cm/myrepo
返回顶部
顶部